<cfcomponent>
	<cffunction name="getChannel" access="public" output="false" returntype="query">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="GetChannel">
                SELECT #arguments.fields# FROM ice_channel 
WHERE 0=0 AND ice_status_id=1 AND ice_channel_id=0
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY rank ASC
            </cfquery>
	<cfreturn GetChannel>
	</cffunction>
	<cffunction name="getChildChannel" access="public" output="false" returntype="query">
		<cfargument name="channel_id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
            <cfquery datasource="#application.DB#" name="GetChildChannel">
                SELECT #arguments.fields# FROM ice_channel 
WHERE 0=0 AND ice_channel_id=#arguments.channel_id# AND ice_status_id=1
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY rank ASC
            </cfquery>
	<cfreturn GetChildChannel>
	</cffunction>
</cfcomponent>