﻿<cfcomponent>
	<cffunction name="getVideo" access="public" output="false" returntype="query">
		<cfargument name="video_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetVideo">
                SELECT #arguments.fields# FROM ice_video WHERE 0=0
<cfif isdefined("form.ice_video")>AND (ice_video LIKE '%#form.ice_video#%' OR caption LIKE  '%#form.ice_video#%')</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.video_id") AND arguments.video_id IS NOT 0>AND id IN (#arguments.video_id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetVideo>
	</cffunction>

	<cffunction name="getSiteVideo" access="public" output="false" returntype="query">
		<cfargument name="video_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.my_site_id#">
            <cfquery datasource="#application.DB#" name="GetVideo">
                SELECT #arguments.fields# FROM ice_video WHERE 0=0
<cfif isdefined("form.ice_video")>AND (ice_video LIKE '%#form.ice_video#%' OR caption LIKE  '%#form.ice_video#%')</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.video_id") AND arguments.video_id IS NOT 0>AND id IN (#arguments.video_id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetVideo>
	</cffunction>

	<cffunction name="countVideo" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
		<cfargument name="ice_status_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="CountVideo">
                SELECT #arguments.fields# FROM ice_video 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
            </cfquery>
<cfset countvideo=CountVideo.Recordcount>
		<cfreturn CountVideo>
	</cffunction>

	<cffunction name="addVideo" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=now()>
<cfset form.ice_site_id=#session.current_site_id#>

<!---<cftry>--->
<CFIF form.file IS NOT ''>
<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.file" DESTINATION="#application.ice_path#\sites\#session.current_site_folder#\videos\" NAMECONFLICT="makeunique" ACCEPT="video/mpeg,video/avi, video/mpeg2,video/flv,video/msvideo,video/x-flv,video/x-mpeg,video/x-ms-wm,video/x-,mpg,video/quicktime,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.file='#cffile.ServerFile#'>
</CFIF>
<cfinsert tablename="ice_video" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,ice_site_id,created">
<!---<cfcatch type="any"><cfset addvideo=0><cfreturn addvideo></cfcatch>
</cftry>	--->
<cfset addvideo=1>
		<cfreturn addvideo>

	</cffunction>

	<cffunction name="updateVideo" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cftry>
<cfupdate tablename="ice_video" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updatevideo=0><cfreturn updatevideo></cfcatch>
</cftry>	
<cfset updatevideo=1>
		<cfreturn updatevideo>

	</cffunction>
	<cffunction name="deleteVideo" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>

<cfquery name="GetVideo" datasource="#application.db#">
SELECT * FROM ice_video WHERE id IN (#arguments.id#)
</cfquery>

<cfif GetVideo.recordcount IS NOT 0>
	<cfloop query="GetVideo">
		<cfif GetVideo.file IS NOT ''>

			<cfif fileexists("#application.ice_path#\sites\#session.current_site_folder#\videos\#GetVideo.file#")>
			<cffile action="delete" file="#application.ice_path#\sites\#session.current_site_folder#\videos\#GetVideo.file#">
			</cfif>
		
			
		</cfif>
	</cfloop>
</cfif>

<cfquery name="DeleteVideo" datasource="#application.db#">
DELETE FROM ice_page_video WHERE ice_video_id=#arguments.id#
</cfquery>

<cfquery name="DeleteVideo" datasource="#application.db#">
DELETE FROM ice_video WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deletevideo=0><cfreturn deletevideo></cfcatch>
</cftry>	
<cfset deletevideo=1>
<cfelse>
<cfset deletevideo=0><cfreturn deletevideo>
</cfif>
		<cfreturn deletevideo>
	</cffunction>
</cfcomponent>
