﻿<cfinvoke component="#application.api_folder#.translate" method="translate" container="pagelinks.cfm" language="#session.language#" returnvariable="pagelinks">
<!--- 
      Tag Set:  NextN PageLinks Standard
	File name:  pagelinks.cfm
  Description:  Displays NextN links
   Created by:  Paul Kocar (pkocar@yahoo.com)
      Created:  November 01, 2003
Last Modified:  December 01, 2003
 
        Usage:  <cf_pagelinks
                  displaypreviousnext="yes"
                  displaypagelinks="yes"
				  displaypageinput="no">
--->

<!--- These attributes are required --->
<cfparam name="ATTRIBUTES.DisplayPreviousNext" type="boolean">
<cfparam name="ATTRIBUTES.DisplayPageLinks" type="boolean">
<cfparam name="ATTRIBUTES.DisplayPageInput" type="boolean">

<cfoutput>

<!--- Display page link section --->
<!--- If DisplayPageLinks attribute is yes, display page links --->
<cfif ATTRIBUTES.DisplayPageLinks EQ "Yes">
<span class="nextn_pagelinks">

<!--- Display the first page link only if CurrentPage is greater than 1 --->
<cfif REQUEST.CurrentPage GT 1>
<a href="#cgi.script_name#?#REQUEST.QueryString#PageNum=1">&lt;  #listgetat(pagelinks,1,'|')#</a> 
<cfelse>
<span class="disabled">&lt;  #listgetat(pagelinks,1,'|')#</span>
</cfif>
 
<!--- Display page links by looping from StartPage to EndPage --->
<cfloop from="#REQUEST.StartPage#" to="#REQUEST.EndPage#" index="ThisPage">
<!--- If this is the current page display as text, --->
<!--- otherwise, display as a link --->
<cfif REQUEST.CurrentPage EQ ThisPage>
<span class="current">#ThisPage#</span>
<cfelse>
<a href="#cgi.script_name#?#REQUEST.QueryString#PageNum=#ThisPage#">#ThisPage#</a>
</cfif>
</cfloop>

<!--- Display the last page link only if CurrentPage is less than TotalPages --->
<cfif REQUEST.CurrentPage LT REQUEST.Totalpages>
<a href="#cgi.scrip_name#?#REQUEST.QueryString#PageNum=#REQUEST.TotalPages#">#listgetat(pagelinks,2,'|')#  &gt;</a> 
<cfelse>
<span class="disabled">#listgetat(pagelinks,2,'|')#  &gt;</span>
</cfif>
</span>

</cfif>

<!--- If DisplayPageInput attribute is yes, display page input form --->
<cfif ATTRIBUTES.DisplayPageInput EQ "YES">
<form class="nextn_form" action="#cgi.script_name#?#REQUEST.QueryString#" method="post">
#listgetat(pagelinks,3,'|')# <input class="nextn_input" type="text" name="PageNum" value="#REQUEST.CurrentPage#" size="3" />
 of #REQUEST.TotalPages#.
<input type="hidden" name="CurrentPage" value="#REQUEST.CurrentPage#" />
<input name="go" type="submit" class="button_go" id="go" value="GO" />
</form>
</cfif>

<!--- If DisplayPreviousNext attribute is yes, display previous/next --->
<cfif ATTRIBUTES.DisplayPreviousNext EQ "Yes">
<span class="nextn_prevnext">

<!--- Display the previous page link only if CurrentPage is greater than 1 --->
<cfif REQUEST.CurrentPage GT 1>
<a href="#cgi.script_name#?#REQUEST.QueryString#PageNum=#REQUEST.PreviousPage#">#listgetat(pagelinks,4,'|')#</a> 
<cfelseif ATTRIBUTES.DisplayPreviousNext EQ "Yes">
#listgetat(pagelinks,4,'|')#
</cfif>
 | 
<!--- Display the next page link only if CurrentPage is less than TotalPages --->
<cfif REQUEST.CurrentPage LT REQUEST.Totalpages>
<a href="#cgi.script_name#?#REQUEST.QueryString#PageNum=#REQUEST.NextPage#">#listgetat(pagelinks,5,'|')#</a>
<cfelseif ATTRIBUTES.DisplayPreviousNext EQ "Yes">
#listgetat(pagelinks,5,'|')#
</cfif>

</span>
</cfif>
</cfoutput>