﻿<cfcomponent>
	<cffunction name="getImage" access="public" output="false" returntype="query">
		<cfargument name="image_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
	<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">

            <cfquery datasource="#application.DB#" name="GetImage">
                SELECT #arguments.fields# FROM ice_image WHERE 0=0
<cfif isdefined("form.ice_image")>AND (ice_image LIKE '%#form.ice_image#%' OR caption LIKE  '%#form.ice_image#%' OR file LIKE  '%#form.ice_image#%')</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif isdefined("arguments.image_id") AND arguments.image_id IS NOT 0>AND id IN (#arguments.image_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT 0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetImage>
	</cffunction>


	<cffunction name="getSiteImage" access="public" output="false" returntype="query">
		<cfargument name="image_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
	<cfargument name="site_id" type="string" required="no" default="#session.my_site_id#">

            <cfquery datasource="#application.DB#" name="GetImage">
                SELECT #arguments.fields# FROM ice_image WHERE 0=0
<cfif isdefined("form.ice_image")>AND (ice_image LIKE '%#form.ice_image#%' OR caption LIKE  '%#form.ice_image#%' OR file LIKE  '%#form.ice_image#%')</cfif>
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif isdefined("arguments.image_id") AND arguments.image_id IS NOT 0>AND id IN (#arguments.image_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT 0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetImage>
	</cffunction>

	<cffunction name="countImage" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
		<cfargument name="ice_status_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="CountImage">
                SELECT #arguments.fields# FROM ice_image 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
            </cfquery>
<cfset countimage=CountImage.Recordcount>
		<cfreturn CountImage>
	</cffunction>

	<cffunction name="addImage" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=now()>
<cfset form.ice_site_id=#session.current_site_id#>
<CFIF isdefined("form.file") AND form.file IS NOT ''>
<cftry>

<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.file" DESTINATION="#application.ice_path#\sites\#session.current_site_folder#\images\" NAMECONFLICT="makeunique" ACCEPT="image/gif, image/jpeg, image/jpg,image/pjpeg,image/png,image/x-png,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.file='#cffile.ServerFile#'>

<cfinsert tablename="ice_image" datasource="#application.db#" formfields="#arguments.fields#,ice_site_id,ice_user_id,created">
<cfcatch type="any"><cfset addimage=0><cfreturn addimage></cfcatch>
</cftry>	
<cfset addimage=1>
		<cfreturn addimage>
<CFELSE>
<cfset addimage=0>
		<cfreturn addimage>
</CFIF>
	</cffunction>

	<cffunction name="updateImage" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cftry>
<cfupdate tablename="ice_image" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updateimage=0><cfreturn updateimage></cfcatch>
</cftry>	
<cfset updateimage=1>
		<cfreturn updateimage>

	</cffunction>

	<cffunction name="deleteImage" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>

<cfquery name="GetImage" datasource="#application.db#">
SELECT * FROM ice_image WHERE id IN (#arguments.id#)
</cfquery>

<cfif GetImage.recordcount IS NOT 0>
	<cfloop query="GetImage">
		<cfif GetImage.file IS NOT ''>

			<cfif fileexists("#application.ice_path#\sites\#session.current_site_folder#\images\#GetImage.file#")>
			<cffile action="delete" file="#application.ice_path#\sites\#session.current_site_folder#\images\#GetImage.file#">
			</cfif>
		
			
		</cfif>
	</cfloop>
</cfif>

<cfquery name="DeleteImage" datasource="#application.db#">
DELETE FROM ice_page_image WHERE ice_image_id=#arguments.id#
</cfquery>
<cfquery name="DeleteImage" datasource="#application.db#">
DELETE FROM ice_image WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deleteimage=0><cfreturn deleteimage></cfcatch>
</cftry>	
<cfset deleteimage=1>
<cfelse>
<cfset deleteimage=0><cfreturn deleteimage>
</cfif>
		<cfreturn deleteimage>
	</cffunction>
</cfcomponent>