<cfcomponent>
	<cffunction name="getPlugin" access="public" output="false" returntype="query">
		<cfargument name="plugin_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
            <cfquery datasource="#application.DB#" name="GetPlugin">
                SELECT #arguments.fields# FROM ice_plugin 

<cfif isdefined("arguments.plugin_id") and arguments.plugin_id IS NOT 0>WHERE id IN (#arguments.plugin_id#)</cfif>
<cfif isdefined("arguments.module_id") and arguments.module_id IS NOT 0>WHERE ice_module_id IN (#arguments.module_id#)</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetPlugin>
	</cffunction>

	<cffunction name="countPlugin" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
		<cfargument name="installed" type="numeric" required="no" default="0">
            <cfquery datasource="#application.DB#" name="CountPlugin">
                SELECT #arguments.fields# FROM ice_plugin 
WHERE 0=0
<cfif isdefined("arguments.installed")>AND installed=#arguments.installed#</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
            </cfquery>
<cfset countplugin=CountPlugin.Recordcount>
		<cfreturn CountPlugin>
	</cffunction>
</cfcomponent>