﻿<cfcomponent>
	<cffunction name="getSiteAPIComponent" access="public" output="false" returntype="query">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetSiteAPIComponent">
                SELECT #arguments.fields# FROM ice_site_api_component  WHERE 0=0
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_site_api_component") AND form.ice_site_api_component IS NOT ''>AND (ice_site_api_component LIKE '%#form.ice_site_api_component#%' OR description LIKE '%#form.ice_site_api_component#%')</cfif>
<cfif isdefined("form.ice_site_api_id") AND form.ice_site_api_id IS NOT 0>AND ice_site_api_id=#form.ice_site_api_id#</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT 0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
<cfif isdefined("arguments.ice_site_api_id") AND arguments.ice_site_api_id IS NOT  0>AND ice_site_api_id IN (#arguments.ice_site_api_id#)</cfif>
<cfif isdefined("arguments.status_id") AND arguments.status_id IS NOT  0>AND ice_status_id = #arguments.status_id#</cfif>
ORDER BY ice_site_api_component ASC
            </cfquery>
		<cfreturn GetSiteAPIComponent>
	</cffunction>

	<cffunction name="countSiteAPIComponent" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
            <cfquery datasource="#application.DB#" name="CountSiteAPIComponent">
                SELECT #arguments.fields# FROM ice_site_api_component 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
            </cfquery>
<cfset countlanguage=CountSiteAPIComponent.Recordcount>
		<cfreturn countlanguage>
	</cffunction>


	<cffunction name="addSiteAPIComponent" access="public" output="true" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="user_id" type="string" required="no" default="0">
<cfset form.ice_site_id=#session.current_site_id#>
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=#now()#>

<!-- Check Component Name --->
<cfquery name="CheckC" datasource="#application.db#">
SELECT id FROM ice_site_api_component WHERE component_file = '#replace(form.ice_site_api_component, " ", "_", "ALL")#.cfc'
</cfquery>
<!-- Check Component Name --->


<cfif CheckC.Recordcount IS 0>

<cftry>


<!--- Write to file --->
<CFFILE ACTION="write" OUTPUT="#form.code#" ADDNEWLINE="No" File="#application.ice_path#\sites\#session.current_site_folder#\api\#replace(form.ice_site_api_component, " ", "_", "ALL")#.cfc" charset="utf-8">
<!--- Set Filename --->
<cfset form.component_file='#replace(form.ice_site_api_component, " ", "_", "ALL")#.cfc'>



<cfinsert tablename="ice_site_api_component" datasource="#application.db#" formfields="ice_site_api_component, how_to,code,ice_site_api_id,ice_user_id,ice_site_id,component_file,created,description">

<cfcatch type="any"><cfset addlanguage=0><cfreturn addlanguage></cfcatch>
</cftry>

<cfelse>
<cfset addlanguage=0><cfreturn addlanguage>
</cfif>	
<cfset addlanguage=1>
		<cfreturn addlanguage>
	</cffunction>

	<cffunction name="updateSiteAPIComponent" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<!-- Check Component Name --->
<cfquery name="CheckC" datasource="#application.db#">
SELECT id FROM ice_site_api_component WHERE component_file = '#replace(form.ice_site_api_component, " ", "_", "ALL")#.cfc' AND id <> #form.id#
</cfquery>
<!-- Check Component Name --->

<cfif CheckC.Recordcount IS 0>

<cftry>
<!--- Write to file --->
<CFFILE ACTION="write" OUTPUT="#form.code#" ADDNEWLINE="No" File="#application.ice_path#\sites\#session.current_site_folder#\api\#replace(form.ice_site_api_component, " ", "_", "ALL")#.cfc" charset="utf-8">

<cfupdate tablename="ice_site_api_component" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updatelanguage=0><cfreturn updatelanguage></cfcatch>
</cftry>	
<cfelse>
<cfset updatelanguage=0><cfreturn updatelanguage>
</cfif>
<cfset updatelanguage=1>
		<cfreturn updatelanguage>

	</cffunction>

	<cffunction name="deleteSiteAPIComponent" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>
<cfquery name="DeleteSiteAPIComponent" datasource="#application.db#">
DELETE FROM ice_site_api_component WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deletelanguage=0><cfreturn deletelanguage></cfcatch>
</cftry>	
<cfset deletelanguage=1>
<cfelse>
<cfset deletelanguage=0><cfreturn deletelanguage>
</cfif>
		<cfreturn deletelanguage>
	</cffunction>
</cfcomponent>