<cfcomponent>
	<cffunction name="getUser" access="public" output="false" returntype="query">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" 

default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetUser">
                SELECT #arguments.fields# FROM ice_user WHERE 0=0
<cfif isdefined("form.searchice_user") AND isdefined("form.ice_user")>AND ice_user LIKE  '%#form.ice_user#%'</cfif>
<cfif  isdefined("form.searchice_user") AND isdefined("form.email")>AND email LIKE '%#form.email#%' </cfif>
<cfif  isdefined("form.searchice_user") AND isdefined("form.ice_user_id") AND form.ice_user_id IS NOT 0>AND ice_user_id=#form.ice_user_id#</cfif>
<cfif  isdefined("form.searchice_user") AND isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif  isdefined("form.searchice_user") AND isdefined("form.ice_language_id") AND form.ice_language_id IS NOT 0>AND ice_language_id=#form.ice_language_id#</cfif>
<cfif  isdefined("form.searchice_user") AND isdefined("form.ice_role_id") AND form.ice_role_id IS NOT 0>AND FIND_IN_SET(#form.ice_role_id#,ice_role_id)</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND id IN (#arguments.user_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id = #arguments.id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND FIND_IN_SET(#arguments.site_id#,ice_site_id) <> 0</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetUser>
	</cffunction>

	<cffunction name="countUser" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
            <cfquery datasource="#application.DB#" name="CountUser">
                SELECT #arguments.fields# FROM ice_user 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND FIND_IN_SET(#arguments.site_id#,ice_site_id)</cfif>
            </cfquery>
<cfset countuser=CountUser.Recordcount>
		<cfreturn CountUser>
	</cffunction>

	<cffunction name="getOtherUser" access="public" output="false" returntype="query">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="not_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
            <cfquery datasource="#application.DB#" name="GetUser">
                SELECT #arguments.fields# FROM ice_user WHERE 0=0
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND id IN (#arguments.user_id#)</cfif>
<cfif isdefined("arguments.not_id") AND arguments.not_id IS NOT 0>AND id <> #arguments.not_id#</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id = #arguments.id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id = #arguments.site_id#</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetUser>
	</cffunction>

	<cffunction name="addUser" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=now()>
<!---<cftry>--->
<CFIF form.photo IS NOT ''>
<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.photo" DESTINATION="#application.ice_path#\photos\" NAMECONFLICT="makeunique" ACCEPT="image/gif, image/jpeg, image/jpg,image/pjpeg,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.photo='#cffile.ServerFile#'>
</CFIF>
<cfinsert tablename="ice_user" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,created">
<!---
<cfcatch type="any"><cfset adduser=0><cfreturn adduser></cfcatch>
</cftry>
--->	
<cfset adduser=1>
		<cfreturn adduser>

	</cffunction>

	<cffunction name="updateUser" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<CFIF form.photo IS NOT '' and find(form.photo,'tmp')>
<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.photo" DESTINATION="#application.ice_path#\photos\" NAMECONFLICT="makeunique" ACCEPT="image/gif, image/jpeg, image/jpg,image/pjpeg,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.photo='#cffile.ServerFile#'>
</CFIF>
<cftry>
<cfupdate tablename="ice_user" datasource="#application.db#" formfields="#arguments.fields#,id">
<cfcatch type="any"><cfset updateuser=0><cfreturn updateuser></cfcatch>
</cftry>
<cfif form.id IS session.user_id>
<cfset session.photo=form.photo>
<cfif isdefined("form.ice_role_id")>
<cfset session.roles=form.ice_role_id>
</cfif>
<cfset session.user=form.ice_user>
<cfif isdefined("form.ice_site_id")>
<cfset session.site_id=form.ice_site_id>
</cfif>
        <cfinvoke component="language" method="getLanguages" language_id="#form.ice_language_id#" returnvariable="GetL">
<cfset session.language='#getl.ice_code#'>
</cfif>
<cfset updateuser=1>
		<cfreturn updateuser>

	</cffunction>


	<cffunction name="deleteUser" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF arguments.id IS NOT 1 AND Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>
<!---
<cfquery name="DeleteUser" datasource="#application.db#">
DELETE FROM ice_user WHERE id=#arguments.id#
</cfquery>
--->
<cfcatch type="any"><cfset deleteuser=0><cfreturn deleteuser></cfcatch>
</cftry>	
<cfset deleteuser=0>
<cfelse>
<cfset deleteuser=0><cfreturn deleteuser>
</cfif>
		<cfreturn deleteuser>
	</cffunction>

</cfcomponent>